net.sourceforge.pmd.renderers

## Class XMLRendererTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.renderers.XMLRendererTest

    public class XMLRendererTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`XMLRendererTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testDoubleReport()`
`void` `testEmptyReport()`
`void` `testErrorReport()`
`void` `testSingleReport()`
`void` `testTwoFiles()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLRendererTest

    public XMLRendererTest()

### Method Detail

#### testEmptyReport

    public void testEmptyReport()
                         throws Throwable

Throws:
  `Throwable`

#### testErrorReport

    public void testErrorReport()
                         throws Throwable

Throws:
  `Throwable`

#### testSingleReport

    public void testSingleReport()
                          throws Throwable

Throws:
  `Throwable`

#### testDoubleReport

    public void testDoubleReport()
                          throws Throwable

Throws:
  `Throwable`

#### testTwoFiles

    public void testTwoFiles()
                      throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()